# Class GetPeersRequest

#### Hierarchy

- unknown
  - GetPeersRequest

- Defined in src/protobuf/pb_pb.d.ts:469
- Defined in src/protobuf/pb_pb.d.ts:496

#####
Index

### Constructors

constructor

### Methods

addReportedPeers
addSupportedCapabilities
clearReportedPeersList
clearSenderNodeAddress
clearSupportedCapabilitiesList
getNonce
getReportedPeersList
getSenderNodeAddress
getSupportedCapabilitiesList
hasSenderNodeAddress
serializeBinary
setNonce
setReportedPeersList
setSenderNodeAddress
setSupportedCapabilitiesList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetPeersRequest(): GetPeersRequest

- #### Returns GetPeersRequest

  Inherited from jspb.Message.constructor

## Methods

### addReportedPeers

- addReportedPeers(value?: Peer, index?: number): Peer

- #### Parameters

  - ##### `Optional` value: Peer

  - ##### `Optional` index: number

  #### Returns Peer

  - Defined in src/protobuf/pb_pb.d.ts:486

### addSupportedCapabilities

- addSupportedCapabilities(value: number, index?: number): GetPeersRequest

- #### Parameters

  - ##### value: number

  - ##### `Optional` index: number

  #### Returns GetPeersRequest

  - Defined in src/protobuf/pb_pb.d.ts:481

### clearReportedPeersList

- clearReportedPeersList(): GetPeersRequest

- #### Returns GetPeersRequest

  - Defined in src/protobuf/pb_pb.d.ts:485

### clearSenderNodeAddress

- clearSenderNodeAddress(): GetPeersRequest

- #### Returns GetPeersRequest

  - Defined in src/protobuf/pb_pb.d.ts:473

### clearSupportedCapabilitiesList

- clearSupportedCapabilitiesList(): GetPeersRequest

- #### Returns GetPeersRequest

  - Defined in src/protobuf/pb_pb.d.ts:480

### getNonce

- getNonce(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:475

### getReportedPeersList

- getReportedPeersList(): Peer[]

- #### Returns Peer[]

  - Defined in src/protobuf/pb_pb.d.ts:483

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- #### Returns undefined | NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:470

### getSupportedCapabilitiesList

- getSupportedCapabilitiesList(): number[]

- #### Returns number[]

  - Defined in src/protobuf/pb_pb.d.ts:478

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:472

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:488

### setNonce

- setNonce(value: number): GetPeersRequest

- #### Parameters

  - ##### value: number

  #### Returns GetPeersRequest

  - Defined in src/protobuf/pb_pb.d.ts:476

### setReportedPeersList

- setReportedPeersList(value: Peer[]): GetPeersRequest

- #### Parameters

  - ##### value: Peer[]

  #### Returns GetPeersRequest

  - Defined in src/protobuf/pb_pb.d.ts:484

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress): GetPeersRequest

- #### Parameters

  - ##### `Optional` value: NodeAddress

  #### Returns GetPeersRequest

  - Defined in src/protobuf/pb_pb.d.ts:471

### setSupportedCapabilitiesList

- setSupportedCapabilitiesList(value: number[]): GetPeersRequest

- #### Parameters

  - ##### value: number[]

  #### Returns GetPeersRequest

  - Defined in src/protobuf/pb_pb.d.ts:479

### toObject

- toObject(includeInstance?: boolean): GetPeersRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetPeersRequest.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:489

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetPeersRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetPeersRequest

  - Defined in src/protobuf/pb_pb.d.ts:492

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetPeersRequest, reader: BinaryReader): GetPeersRequest

- #### Parameters

  - ##### message: GetPeersRequest

  - ##### reader: BinaryReader

  #### Returns GetPeersRequest

  - Defined in src/protobuf/pb_pb.d.ts:493

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetPeersRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetPeersRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:491

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetPeersRequest): GetPeersRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetPeersRequest

  #### Returns GetPeersRequest.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:490

Generated using TypeDoc